Skip to main content
Pure Technical Services

FlashArray VASA Version by Purity Release

Depending on the version of Purity that is installed on the FlashArray the vSphere API for Storage Awareness (VASA) Provider version can vary.  This KB will cover the version of the VASA Provider and what Purity releases that version the provider comes with.

VASA Provider Version* Purity Release
1.0.0 5.0.0 - 5.0.7
1.0.1 5.0.8
5.1.0 - 5.1.7
1.0.2 5.0.9 - 5.0.11
5.1.8 - 5.1.15
5.2.0 - 5.2.6
1.0.3 5.3.0 - 5.3.5
1.1.0 5.3.6 - 5.3.8

*This is the iterated version of the Pure Storage FlashArray VASA provider version (as Pure adds features or fixes to their vVol implementation it increments). This does not indicate the VASA API version. The currently supported VASA API version supported is 3.0. Pure Storage does not support earlier version of the VASA API. 

Please note that the VASA version may not update in the vCenter UI for the Storage Providers registered after a Purity upgrade on the FlashArray.  This does not mean that the new VASA version isn't being used on the FlashArray or that there is anything failing with the Storage Providers.  Rather the vCenter UI does not update the Array Information in the Storage Providers after the Purity Upgrade.

The process of un-registering and re-registering the Storage Providers in vCenter will force an update to the VASA version in the vCenter UI.